/**
 * 
 */
package com.huatek.busi.vo.routinetest.transformer;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.fastjson.JSONObject;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: SealingTest
  * @FullClassPath: com.huatek.busi.vo.routinetest.transformer.SealingTest
  * @Description: 密封试验
  * @author: Arno
  * @date: Aug 23, 2019 6:06:52 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class SealingTest extends TestBase implements Serializable {
	
	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -6566008182457852377L;

	/** @Fields conclusion : 结论*/ 
	public String conclusion = "" ;
	
	public static void main(String[] args) {
		SealingTest entity = new SealingTest();
		entity.setTestContent("密封试验");
		entity.setTestEquipment("");
		entity.setChecker("王科");
		entity.setTester("刘天天");
		entity.setSignature("林冲");
		entity.setTestTime(LocalDateTime.of(2018, 5, 25, 10, 13, 29));
		entity.setRemarks("合格");
		
		entity.setConclusion("变压器油箱及储油柜承受在最高油面压力达到30kPa的密封试验，试验时间连续24h，无渗漏和损伤。");
		String josn = JSONObject.toJSONString(entity);
		System.out.println(josn);
		SealingTest parseObject = JSONObject.parseObject(josn, SealingTest.class);
		System.out.println(parseObject.getChecker());
	}
}
